---
updatedAt: 2025-09-18T22:05:23.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# nr_getNFTTokenCount

This API method helps you to get the number of token ids of an NFT(721/1155) token.

> 📘 Supported on BSC and ETH mainnet only.

## Parameters

* `Token Address` - Address of the token

## Returns

* `TokenCount` - a hex encoded number of tokens

## API Endpoint

The format of a MegaNode API endpoint is `https://{chain}-{network}.nodereal.io/v1/{API-key}`\
Here is an example:

`https://bsc-mainnet.nodereal.io/v1/4c0a1c23661a4e26bcbcwed461e34ea9`

For other chains or networks, you could refer to this guidance [Find API key & endpoint](find-api-key-endpoint).

## Example

**Request**

```
curl https://bsc-mainnet.nodereal.io/v1/your-api-key \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"nr_getNFTTokenCount","params":["0x07d971c03553011a48e951a53f48632d37652ba1"],"id": 1 }'
```

**Result**

```
{
  "id": "1",
  "jsonrpc": "2.0",
  "result": "0x123"
}
```